<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>HSSFDateUtil (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="HSSFDateUtil (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSSFDateUtil.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFDataValidationHelper.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFEvaluationWorkbook.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/usermodel/HSSFDateUtil.html" target="_top">Frames</a>
        </li>
        <li><a href="HSSFDateUtil.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.ss.usermodel.DateUtil">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hssf.usermodel</div>
    <h2 title="Class HSSFDateUtil" class="title">Class HSSFDateUtil</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/ss/usermodel/DateUtil.html"
                       title="class in org.apache.poi.ss.usermodel">org.apache.poi.ss.usermodel.DateUtil</a></li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.hssf.usermodel.HSSFDateUtil</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">HSSFDateUtil</span>
extends <a href="../../../../../org/apache/poi/ss/usermodel/DateUtil.html" title="class in org.apache.poi.ss.usermodel">DateUtil</a></pre>
                <div class="block">Contains methods for dealing with Excel dates.</div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="fields.inherited.from.class.org.apache.poi.ss.usermodel.DateUtil">
                                <!--   -->
                            </a>
                                <h3>Fields inherited from class&nbsp;org.apache.poi.ss.usermodel.<a
                                        href="../../../../../org/apache/poi/ss/usermodel/DateUtil.html"
                                        title="class in org.apache.poi.ss.usermodel">DateUtil</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/DateUtil.html#DAY_MILLISECONDS">DAY_MILLISECONDS</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/DateUtil.html#HOURS_PER_DAY">HOURS_PER_DAY</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/DateUtil.html#MINUTES_PER_HOUR">MINUTES_PER_HOUR</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/DateUtil.html#SECONDS_PER_DAY">SECONDS_PER_DAY</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/DateUtil.html#SECONDS_PER_MINUTE">SECONDS_PER_MINUTE</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFDateUtil.html#HSSFDateUtil--">HSSFDateUtil</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>protected static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFDateUtil.html#absoluteDay-java.util.Calendar-boolean-">absoluteDay</a></span>(java.util.Calendar&nbsp;cal,
                                    boolean&nbsp;use1904windowing)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.ss.usermodel.DateUtil">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.ss.usermodel.<a
                                        href="../../../../../org/apache/poi/ss/usermodel/DateUtil.html"
                                        title="class in org.apache.poi.ss.usermodel">DateUtil</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/DateUtil.html#convertTime-java.lang.String-">convertTime</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/DateUtil.html#getExcelDate-java.util.Calendar-boolean-">getExcelDate</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/DateUtil.html#getExcelDate-java.util.Date-">getExcelDate</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/DateUtil.html#getExcelDate-java.util.Date-boolean-">getExcelDate</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/DateUtil.html#getJavaCalendar-double-">getJavaCalendar</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/DateUtil.html#getJavaCalendar-double-boolean-">getJavaCalendar</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/DateUtil.html#getJavaCalendar-double-boolean-java.util.TimeZone-">getJavaCalendar</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/DateUtil.html#getJavaCalendar-double-boolean-java.util.TimeZone-boolean-">getJavaCalendar</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/DateUtil.html#getJavaCalendarUTC-double-boolean-">getJavaCalendarUTC</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/DateUtil.html#getJavaDate-double-">getJavaDate</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/DateUtil.html#getJavaDate-double-boolean-">getJavaDate</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/DateUtil.html#getJavaDate-double-boolean-java.util.TimeZone-">getJavaDate</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/DateUtil.html#getJavaDate-double-boolean-java.util.TimeZone-boolean-">getJavaDate</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/DateUtil.html#getJavaDate-double-java.util.TimeZone-">getJavaDate</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/DateUtil.html#isADateFormat-org.apache.poi.ss.usermodel.ExcelNumberFormat-">isADateFormat</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/DateUtil.html#isADateFormat-int-java.lang.String-">isADateFormat</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/DateUtil.html#isCellDateFormatted-org.apache.poi.ss.usermodel.Cell-">isCellDateFormatted</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/DateUtil.html#isCellDateFormatted-org.apache.poi.ss.usermodel.Cell-org.apache.poi.ss.formula.ConditionalFormattingEvaluator-">isCellDateFormatted</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/DateUtil.html#isCellInternalDateFormatted-org.apache.poi.ss.usermodel.Cell-">isCellInternalDateFormatted</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/DateUtil.html#isInternalDateFormat-int-">isInternalDateFormat</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/DateUtil.html#isValidExcelDate-double-">isValidExcelDate</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/DateUtil.html#parseYYYYMMDDDate-java.lang.String-">parseYYYYMMDDDate</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/DateUtil.html#setCalendar-java.util.Calendar-int-int-boolean-boolean-">setCalendar</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="HSSFDateUtil--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>HSSFDateUtil</h4>
                                <pre>public&nbsp;HSSFDateUtil()</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="absoluteDay-java.util.Calendar-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>absoluteDay</h4>
                                <pre>protected static&nbsp;int&nbsp;absoluteDay(java.util.Calendar&nbsp;cal,
                                 boolean&nbsp;use1904windowing)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSSFDateUtil.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFDataValidationHelper.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFEvaluationWorkbook.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/usermodel/HSSFDateUtil.html" target="_top">Frames</a>
        </li>
        <li><a href="HSSFDateUtil.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.ss.usermodel.DateUtil">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
